%define name ccache
%define version 2.3
%define release 1mdk

Summary: Compiler Cache
Name: %{name}
Version: %{version}
Release: %{release}
Group: Development/C
License: GPL
URL: http://ccache.samba.org/
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
ccache is a compiler cache. It acts as a caching pre-processor to 
C/C++ compilers, using the -E compiler switch and a hash to detect 
when a compilation can be satisfied from cache. This often results 
in a 5 to 10 times speedup in common compilations.
The idea came from Erik Thiele wrote the original compilercache 
program as a bourne shell script. ccache is a re-implementation of 
Erik's idea in C with more features and better performance.

%prep
%setup -q

%build
%configure
%make

strip ccache

install -d -m 0755 $RPM_BUILD_ROOT%{_bindir}
install -m 0755 ccache $RPM_BUILD_ROOT%{_bindir}
install -d -m 0755 $RPM_BUILD_ROOT%{_mandir}/man1
bzip2 -c ccache.1 > $RPM_BUILD_ROOT%{_mandir}/man1/ccache.1.bz2

%files
%defattr(-,root,root)
%doc README
%{_mandir}/man1/ccache.1*
%{_bindir}/ccache

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 12 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.3-1mdk
- 2.3
 
* Mon Feb 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.2-1mdk
- 2.2

* Thu Feb 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.1.1-1mdk
- from Jos Pablo Ezequiel Fernndez <pupeno@kde.org> :
	- Update to 2.1.1

* Tue Jan 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.0-1mdk
- 2.0

* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.9-2mdk
- rebuild for rpm and glibc

* Wed Sep 18 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.9-1mdk
- mdk adaptation

* Mon Apr 01 2002 Peter Jones <pjones@redhat.com>
- Created the package
